﻿using CommunityManager.Data.Access;
using CommunityManager.ViewModel;
using System.Windows;

namespace CommunityManager
{
    
    public partial class MainWindow : Window
    {
        private readonly MainViewModel _viewModel;
        public MainWindow()
        {
            InitializeComponent();
            _viewModel = new MainViewModel(new InMemoryCommunityDataProvider());
            DataContext = _viewModel;
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            _viewModel.Load();
        }
    }
}
